<?php

namespace App\Http\Controllers\Api;

use App\Service\CustomerService;
use Illuminate\Http\Request;

class CustomerController extends BaseController
{
    public function customerAdd(Request $request)
    {
        $service = new CustomerService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->customerAdd($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function customerEdit(Request $request)
    {
        $service = new CustomerService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->customerEdit($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function customerDel(Request $request)
    {
        $service = new CustomerService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->customerDel($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function customerList(Request $request)
    {
        $service = new CustomerService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->customerList($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function customerDetail(Request $request)
    {
        $service = new CustomerService();
        list($status,$data) = $service->customerDetail($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
