<?php

namespace App\Model;

use Illuminate\Database\Eloquent\Model;

class InOutRecord extends Model
{
    protected $table = "in_out_record"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';
    public static $order_type = [
        MaterialOrder::prefix => '领料单',
        Construction::prefix => '施工单',
        Construction::prefix_reject => '施工单:红冲',
        MaterialReturn::prefix => '退料单',
        Transfer::prefix => '调拨单',
        Inventory::prefix => '盘点单',
        OpeningReceiptOrder::prefix => '期初单',
    ];
}
