<?php

namespace App\Model;

use Illuminate\Database\Eloquent\Model;

class PurchaseOrder extends Model
{
    protected $table = "purchase_order"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';
    const STATE_ZERO = 0;//未确认
    const STATE_ONE = 1;//已确认
    const prefix = 'CG';
    public static $name = [
        self::STATE_ZERO => '未确认',
        self::STATE_ONE => '已确认',
    ];

    const Order_type_one = 1;//普通采购
    const Order_type_two = 2;//代发采购
    const Order_type_three = 3;//采购施工（安装费）

    public static $order_type = [
        self::Order_type_one => '普通采购',
        self::Order_type_two => '代发采购',
        self::Order_type_three => '采购施工（安装费）'
    ];
}
