<?php

namespace App\Model;

use Illuminate\Database\Eloquent\Model;

class PurchaseOrderInfo extends Model
{
    protected $table = "purchase_order_info"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';
    const STATE_ZERO = 0;//未发货
    const STATE_ONE = 1;//部分已发货
    const STATE_TWO = 2;//已发货
    public static $name = [
        0 => '未发货',
        1 => '部分已发货',
        2 => '已发货'
    ];
}
